#include "delay.h"


uint32_t milli_second = 0;

uint32_t millis(void)
{
    return milli_second;
}
void delay_ms(uint16_t ms)
{
    uint32_t now = milli_second;
    while(milli_second - now < ms)
    {
        nop();
    };
}

void delay_us(uint16_t us)
{
    while(us--)
    {
        nop();
    };
}